0

Installation: ubuntu server 16.04, EC2 instance that I install kubeadm. I try to connect to the Web UI, and change this parameter to

--authorization-mode=token

I restart the server and change to the default variable

--authorization-mode=none,RBAC

But nothing I get this error.

Setting node annotation to enable volume controller attach/detach
Failed to get azure cloud in GetVolumeLimits, plugin.host: ip-172-10-10-54
Attempting to register node ip-172-10-10-54
Unable to register node "ip-172-10-10-54" with API server: Post https://172.10.10.54:6443/api/v1/nod
node "ip-172-10-10-54" not found
k8s.io/kubernetes/pkg/kubelet/kubelet.go:451: Failed to list *v1.Node: Get https://172.10.10.54:6443/api/v1/n
k8s.io/kubernetes/pkg/kubelet/config/apiserver.go:47: Failed to list *v1.Pod: Get https://172.10.10.54:6443/a
k8s.io/kubernetes/pkg/kubelet/kubelet.go:442: Failed to list *v1.Service: Get https://172.10.10.54:6443/api/v
0

It looks like a known bug, according to following github issue

It was reported that Kubernetes 1.12.1 generates this errors, even in bare-metal installations, because in 1.12, GetVolumeLimits is enabled by default, take aws ebs for example, it will return error directly if it could not get cloud provider.

Which version of k8s do you have?

  • the version is 1.12 the latest – pioupiou Oct 19 '18 at 6:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.